GET /v1/webhook-endpoints/:endpointId
Read a single webhook endpoint.
GET
/v1/webhook-endpoints/{endpointId}Phase 1stable
- Auth
- X-Api-Key
Path
endpointIdstring (UUID)requiredThe endpoint id from list or create.
Example
curl "https://api.layers.com/v1/webhook-endpoints/d4c71b62-7f08-4dc9-9d2c-8f7e2b9c4411" \
-H "X-Api-Key: $LAYERS_API_KEY"200OK
{
"id": "d4c71b62-7f08-4dc9-9d2c-8f7e2b9c4411",
"organizationId": "2481fa5c-a404-44ed-a561-565392499abc",
"projectId": null,
"url": "https://your-app.example.com/layers/webhooks",
"description": "prod reconciler",
"status": "active",
"events": ["job.completed", "job.failed", "content.approved"],
"apiVersion": "v1",
"createdAt": "2026-04-20T18:28:00.000Z",
"updatedAt": "2026-04-20T18:28:00.000Z",
"lastSuccessAt": "2026-04-20T18:40:11.000Z",
"lastFailureAt": null,
"consecutiveFailureCount": 0
}Errors
| Status | Code | When |
|---|---|---|
| 404 | NOT_FOUND | Endpoint not owned by the calling org. |